Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453771 - segfault in dm_hash_iter()
Summary: segfault in dm_hash_iter()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: device-mapper
Version: 5.2
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Milan Broz
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-02 13:27 UTC by Milan Broz
Modified: 2013-03-01 04:06 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 21:57:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0200 normal SHIPPED_LIVE device-mapper bug fix and enhancement update 2009-01-20 16:06:06 UTC

Description Milan Broz 2008-07-02 13:27:40 UTC
+++ This bug was initially created as a clone of Bug #450474 +++
RHEL5 clone

device-mapper segfaults with new lvm2 build

New lvm2 build requires device-mapper dm_hash_iter to be safe againts deletion
of list member during iteration.

Comment 2 RHEL Product and Program Management 2008-07-02 13:53:30 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Milan Broz 2008-07-03 08:21:39 UTC
Fixed in device-mapper-1.02.27-1.el5.

Comment 6 errata-xmlrpc 2009-01-20 21:57:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0200.html


Note You need to log in before you can comment on or make changes to this bug.